---
discourse: 13021
---

(networking)=
# Networking

````{only} diataxis
The following how-to guides cover common operations related to networking:

```{toctree}
:titlesonly:

Configure a network </howto/network_configure>
Configure as BGP server </howto/network_bgp>
Configure forwards </howto/network_forwards>
Configure network ACLs </howto/network_acls>
Configure network zones </howto/network_zones>
Create a network </howto/network_create>
Display IPAM information </howto/network_ipam>
```

The following how-to guides apply to managed bridge networks only:

```{toctree}
:titlesonly:

Configure your firewall </howto/network_bridge_firewalld>
Integrate with resolved </howto/network_bridge_resolved>
```

The following how-to guides apply to OVN networks only:

```{toctree}
:titlesonly:

Configure load balancers </howto/network_load_balancers>
Configure peer routing </howto/network_ovn_peers>
Set up OVN </howto/network_ovn_setup>
```
````

## Related topics

```{only} diataxis
{{networks_exp}}

{{networks_ref}}
```

````{only} topical
```{toctree}
:maxdepth: 1

/explanation/networks
Create a network </howto/network_create>
Configure a network </howto/network_configure>
Configure network ACLs </howto/network_acls>
Configure network forwards </howto/network_forwards>
Configure network zones </howto/network_zones>
Configure LXD as BGP server </howto/network_bgp>
Display LXD IPAM information </howto/network_ipam>
/reference/networks
```
````
